Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.hyperneat
Class FactorHyperNEATGenome

    java.lang.Object
      org.encog.neural.hyperneat.FactorHyperNEATGenome

All Implemented Interfaces:
  GenomeFactory, NEATGenomeFactory

    public class FactorHyperNEATGenome

extends Object
implements NEATGenomeFactory

Create a Genome for use with HyperNEAT.

Constructor Summary
`FactorHyperNEATGenome()`

Method Summary
`NEATGenome` | `factor()`
`Genome` | `factor(Genome other)` Create a clone of the other genome.
`NEATGenome` | `factor(List<NEATNeuronGene> neurons, List<NEATLinkGene> links, int inputCount, int outputCount)` Create a NEAT genome from a list of links and neurons.
`NEATGenome` | `factor(Random rnd, NEATPopulation pop, int inputCount, int outputCount, double connectionDensity)` Create a new random NEAT genome.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FactorHyperNEATGenome

    public FactorHyperNEATGenome()

Method Detail

### factor

    public NEATGenome factor()

  Specified by:
    `factor` in interface `GenomeFactory`
  Returns:
    The newly created genome.

### factor

    public Genome factor(Genome other)

  Create a clone of the other genome.

  Specified by:
    `factor` in interface `GenomeFactory`
  Parameters:
    `other` - The other genome.
  Returns:
    The newly created clone.

### factor

    public NEATGenome factor(List<NEATNeuronGene> neurons,
                             List<NEATLinkGene> links,
                             int inputCount,
                             int outputCount)

  Create a NEAT genome from a list of links and neurons.

  Specified by:
    `factor` in interface `NEATGenomeFactory`
  Parameters:
    `neurons` - A list of neuron genes.
    `links` - A list of link genes.
    `inputCount` - The input count.
    `outputCount` - The output count.
  Returns:
    The newly factored NEATGenome.

### factor

    public NEATGenome factor(Random rnd,
                             NEATPopulation pop,
                             int inputCount,
                             int outputCount,
                             double connectionDensity)

  Create a new random NEAT genome.

  Specified by:
    `factor` in interface `NEATGenomeFactory`
  Parameters:
    `rnd` - A random number generator.
    `pop` - The NEAT population.
    `inputCount` - The input count.
    `outputCount` - The output count.
    `connectionDensity` - The connection density. Specify 1.0 for fully connected.
  Returns:
    The newly created NEAT genome.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.